Close Customs, Ideas, and Meta wikis on the Brickimedia Farm
Closed, ResolvedPublic

Description

After a decision with the Brickipedia community has been made, it was decided that the three wikis Customs, Ideas, and Meta should be closed down. Apparently it's possible by just removing stuff from LocalSettings related file stuff (https://github.com/Brickimedia/LocalSettings/commit/bafe7aa49535b3f8212ee46a46a812b608fac377), but the structure is pretty tangled so I don't know. @georgebarnick Do you know how to?

Restricted Application added a subscriber: MacFan4000. · View Herald TranscriptJul 25 2016, 10:42 PM
SamanthaNguyen moved this task from Backlog to General on the Brickimedia board.Jul 25 2016, 11:09 PM

I have imported most of the pages from Meta.

@LegoFan4000 Thank you :)

MacFan4000 added a comment.EditedJul 28 2016, 6:07 PM

From what we know, only meiko or nxt can close sites.

For the record: the discussion/voting page is at Brickipedia:2016 Changes. I had somehow missed the fact that we decided to close Meta, which is gonna require a lot more effort than the other two sites, because Meta hosts things like the email blacklist, MediaWiki:Global.css and whatnot, not to mention almost 100k files.

Closing Customs and Ideas should be simpler:

  • Create a database dump (via mysqldump)
  • Remove relevant entries from LocalSettings.php (the switch loop, $bmAllProjects/$wgLocalDatabases variable, $wgConf->settings, the $refreshed<project to be closed> variable,
  • Remove relevant entry from $newTalkGlobalDatabases, $wgSiteMatrixSites and $wgLocalDatabases in LocalSettings_ext.php
  • Edit other LocalSettings (e.g. LocalSettings_gbc.php and such which are not going to be deleted) to update the $wgRefreshedHeader['dropdown'] variable to remove the removed sites from the drop-down menu (won't be needed if T134669 is (partially) fixed)
  • Delete the LocalSettings file for the site(s) to be deleted, e.g. LocalSettings_ideas.php
  • Commit these changes to the LocalSettings repository (Brickimedia/LocalSettings on GitHub)
  • Deploy new configuration to production

While creating a database dump is -- at least in theory -- easy enough, we need to figure out where to store the created dump and for how long. (It contains some sensitive data, I'm sure, so it shouldn't be a public location.)
I also don't know how to properly deploy a new version of the config repo, and there are probably some uncommitted live changes on production anyway that we'd need to commit before going further with this.

I think @UltrasonicNXT already has regular database backups on a private Dropbox. To my knowledge he's the only one with access to them however.

Sidenote, removed the extra wiki tags and links that @LegoFan4000 added (if you're wondering, it's because they're in the process of being closed, obviously)

another thing would be to update the splash page

SamanthaNguyen closed this task as Resolved.Jun 3 2017, 10:25 PM
SamanthaNguyen claimed this task.

This was done a while ago